<?php
/**
 * Install File
 * Does the stuff for the specific extensions
 *
 * @package         Advanced Module Manager
 * @version         4.2.1
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2012 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

$name = 'Advanced Module Manager';
$alias = 'advancedmodules';
$ext = $name . ' (admin component & system plugin)';

// COMPONENT
$states[] = installExtension(
	$states, $alias, $name, 'component',
	array('link' => '', 'admin_menu_link' => '')
);

// SYSTEM PLUGIN
$states[] = installExtension($states, $alias, 'System - ' . $name, 'plugin', array('folder' => 'system'));

// Stuff to do after installation / update
function afterInstall(&$db)
{
	// main table
	$query = "CREATE TABLE IF NOT EXISTS `#__advancedmodules` (
		`moduleid` int(11) NOT NULL default '0',
		`asset_id` int(10) unsigned NOT NULL default '0',
		`params` text NOT NULL,
		PRIMARY KEY (`moduleid`)
	) ENGINE=InnoDB DEFAULT CHARSET=utf8;";
	$db->setQuery($query);
	$db->execute();

	// hide admin menu
	$query = "DELETE FROM `#__menu`
		WHERE `path` = 'advancedmodules'
		AND `type` = 'component'
		AND `client_id` = 1";
	$db->setQuery($query);
	$db->execute();
}

function afterInstall_j2(&$db)
{
	afterInstall($db);

	// add asset_id column
	$query = "SHOW COLUMNS FROM `" . $db->getPrefix() . "advancedmodules` LIKE 'asset_id'";
	$db->setQuery($query);
	$hasasset = $db->loadResult();
	if (!$hasasset) {
		$query = "ALTER TABLE `#__advancedmodules` ADD `asset_id` int(10) unsigned NOT NULL default '0' AFTER `moduleid`";
		$db->setQuery($query);
		$db->execute();
	}

	// remove initial menu assignment settings
	$query = "UPDATE `#__advancedmodules`
		SET	`params` = ''
		WHERE `params` = " . $db->quote('{"assignto_menuitems":0,"assignto_menuitems_selection":[]}');
	$db->setQuery($query);
	$db->execute();

	// concatenates the sef and non-sef url fields
	$query = "UPDATE `#__advancedmodules`
		SET	`params` = replace( replace( replace( replace( `params`,
		" . $db->quote('"assignto_urls_selection_sef"') . "," . $db->quote('"assignto_urls_selection"') . "),
		" . $db->quote('"assignto_urls_selection":"","assignto_browsers"') . "," . $db->quote('"assignto_browsers"') . "),
		" . $db->quote('","show_url_field":"0","assignto_urls_selection":"') . "," . $db->quote('\n') . "),
		" . $db->quote('","show_url_field":"1","assignto_urls_selection":"') . "," . $db->quote('\n') . ");";
	$db->setQuery($query);
	$db->execute();
}

